Bug 54727 - SPEC file needs BuildPrereq: fam-devel
Summary: SPEC file needs BuildPrereq: fam-devel
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: quanta   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-17 03:21 UTC by R P Herrold
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-26 03:45:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2001-10-17 03:21:49 UTC
Description of Problem:

missing specfile "BuildPrereq" for fam-devel

Version-Release number of selected component (if applicable):

quanta-2.0-1.cvs20010724.3.src.rpm


How Reproducible:

try a build of the SRPM without fam-devel

This is particularly frustrating, because is is SOO slow to build, and the
build does not fail until it tries a link near the very end ...

Steps to Reproduce:

rpm -ba /usr/src/redhat/SPECS/quanta-cvs.spec

<wait 1.5 hr>

/bin/sh ../libtool --mode=link --tag=CXX c++  -O2 -march=i386 -mcpu=i686 
-lktexteditor -o quanta -L/usr/X11R6/lib -L/usr/lib/qt-2.3.1/lib
-L/usr/lib  document.o main.o qextfileinfo.o quanta.o quanta_init.o
quantadoc.o quantaview.o quantaview_init.o quantaview_slots.o kqapp.o
document.moc.o quanta.moc.o quantaview.moc.o quantadoc.moc.o
quanta_meta_unload.o  ../quanta/kwrite/libkwrite.a
../quanta/kwrite/highlight/libhighlight.a ../quanta/dialogs/libdialogs.a
../quanta/parser/libparser.a ../quanta/project/libproject.a
../quanta/tagdialogs/libtagdialogs.a ../quanta/treeviews/libtreeviews.a
../quanta/widgets/libwidgets.a ../quanta/toolbar/libtoolbar.a
../quanta/messages/libmessages.a ../quanta/plugins/php4dbg/libphp4dbg.a
../quanta/plugins/php4dbg/dbgbase/libdbgbase.a
../quanta/plugins/php3dbg/libphp3dbg.a -lSM -lICE -lX11 -lpng -lz -lm
-ljpeg -lqt -lXext -lkdeui -lkfile
-lkhtml -lkspell
mkdir .libs
libtool: link: cannot find the library `/usr/lib/libfam.la'
make[3]: *** [quanta] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/quanta/quanta'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/quanta/quanta'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/quanta'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.56499 (%build)


Aarghhhh

This is easy to avoid with the simple 

BuildPrereq: fam-devel

Comment 1 R P Herrold 2001-10-17 04:09:57 UTC
Once fam-devel is added, it builds fine:

Wrote: /usr/src/redhat/SRPMS/quanta-2.0-1.cvs20010724.3.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/quanta-2.0-1.cvs20010724.3.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.33947
+ umask 022
+ cd /usr/src/redhat/BUILD


Comment 2 R P Herrold 2003-04-26 03:45:40 UTC
stale EOL product -- closing


Note You need to log in before you can comment on or make changes to this bug.